compareSemmentations {snapCGH} | R Documentation

## Function for comparing segmentation methods to a known truth

### Description

This function takes a SegList and compares the breakpoints indicated in other SegLists with this original one.

### Usage

    compareSegmentations(TrueSeg,offset = 0,...)

### Arguments

`TrueSeg` | An object of class `SegList` which is scored against. Normally the output from `simulateData`.
`offset` | Integer value between 0 and 2 specifying how close (in number of clones) to a true breakpoint the segmentation method must be before it is scored.
`...` | One or more objects of class `SegList`. These are compared to TrueSeg.

### Value

The method returns a list containing two matrices. The first of these, $TPR, contains the true positive rate, whilst the second, $FDR, holds the false discovery rate. Both of these matrices are arranged such that a row represents a segmentation method and each column is an array.

### Author(s)

John Marioni and Mike Smith

[Package snapCGH version 1.2.0 Index]